@extends('inventory.layout') 
@section('title', 'Customers')
@section('content')
 @push('head')

		<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/3.3.6/css/bootstrap.min.css">
		<style type="text/css">

			body {
			  padding: 0;
			  margin: 10px 0;
			  background: #f2f2f2 url('https://formbuilder.online/assets/img/noise.png');
			}
      .form-wrap.form-builder .frmb-control{
        display: none;
      }
      .form-wrap.form-builder .form-actions{
        display: none !important;
      }
      .form-wrap.form-builder .frmb li.form-field:hover .field-actions{
        display: none;
      }
           /* #fb-rendered-form {
  clear:both;
  display:none;
  button{
    float:right;
  }
}*/
		</style>
		
@endpush
  <div class="container-fluid">
        <div class="page-header">
            <div class="row align-items-end">
                <div class="col-lg-8">
                    <div class="page-header-title">
                        <!-- <i class="ik ik-users bg-green"></i> -->
                        <div class="d-inline">
                            <h5>Customers</h5>
                            <span>View, delete and update customers</span>
                        </div>
                    </div>
                </div>
                <div class="col-lg-4">
                    <nav class="breadcrumb-container" aria-label="breadcrumb">
                        <ol class="breadcrumb">
                            <li class="breadcrumb-item">
                                <a href="{{url('dashboard')}}"><i class="ik ik-home"></i></a>
                            </li>
                            <li class="breadcrumb-item">
                                <a href="#">Customers</a>
                            </li>
                        </ol>
                    </nav>
                </div>
            </div>
        </div>
        <div class="row">
            <!-- list layout 1 start -->
            <div class="col-md-12">
                <div class="card">
                    <div class="card-header row">
                       
                        <div class="col col-sm-6">
                            <div class="card-search with-adv-search dropdown">
                                <form action="{{route('post.index')}}" method="get">
                                    <input type="text" class="form-control global_filter searchclass" id="search" name="search" placeholder="Search.." >
                                    <button type="submit" class="btn btn-icon"><i class="ik ik-search"></i></button>
                                    <button type="button" id="adv_wrap_toggler_1" class="adv-btn ik ik-chevron-down dropdown-toggle" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"></button>
                                    
                                </form>
                            </div>
                        </div>
                        <div class="col col-sm-5">
                            <div class="card-options text-right">
                                <span class="mr-5" id="top"></span>
                                <a href="#"><i class="ik ik-chevron-left"></i></a>
                                <a href="#"><i class="ik ik-chevron-right"></i></a>
                               
                            </div>
                           
                        </div>
                    </div>
                    <div class="card-body">
                        <table id="product_table" class="table">
                            <thead>
                                <tr>
                                    
                                    <th>{{ __('Customer Name')}}</th>
                                   
                                   
                                    <th style="width: 110px;!important">{{ __('Action')}}</th>
                                </tr>
                            </thead>
                            <tbody>
                                @foreach($customerdata as $customer)
                                <tr>
                                    
                                    <td>{{ isset($customer->routingName) ? $customer->routingName :'' }}</td>
                                  
                                    <td>  
                                        <a href="{{route('orderindex',$customer->id) }}"  ><i class="fa fa-paper-plane text-green"></i></a>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;

                                    </td>
                                </tr>
                                @endforeach

                            </tbody>
                        </table>
                        <div class="card-footer d-flex align-items-center">

                                <div class="col-md-6">
                                </div>
                                
                                <div class="col-md-6">
                                {{-- $steps->links('include.pagination') --}}
                                </div>
                        </div>
                    </div>
                </div>
            </div>
            <!-- list layout 1 end -->
            <div class="col-md-12"><hr></div>
            <!-- list layout 2 -->
            
            <!-- list layout 2 end -->
        </div>
  </div>

@push('script')
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/2.1.3/jquery.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/jqueryui/1.11.2/jquery-ui.min.js"></script>

<script src="https://formbuilder.online/assets/js/form-builder.min.js"></script>

<script type="text/javascript" src="https://formbuilder.online/assets/js/form-render.min.js"></script>
<script>

jQuery(function($) {
    //const fbTemplate = document.getElementById('build-wrap');
//var formtemp=$(fbTemplate).formBuilder();

const fbEditor = document.getElementById('build-wrap')
const formData = document.getElementById('formfield').value;
const formBuilder = $(fbEditor).formBuilder({formData})

// Can be used 2 different ways
//formBuilder.actions.toggleAllFieldEdit() // first
$(fbEditor).formBuilder('toggleAllFieldEdit') // second


 document.getElementById('getJSON').addEventListener('click', function() {
    var jsonval=(formBuilder.actions.getData('json'));
    console.log(jsonval);
    var formfield= document.getElementById("formfield").value = "";
    //alert(formfield);
    var fieldval=document.getElementById("formfield").value += jsonval;
    console.log(fieldval);
     var myTextArea = document.getElementById('formfield');
        myTextArea.innerHTML += jsonval;
});

});

/*var fbRender = document.getElementById('fb-render'),
    formData = document.getElementById('formfield').value;
console.log(formData.value);

  var formRenderOpts = {
    formData,
    dataType: 'json'
  };

  $(fbRender).formRender(formRenderOpts);

   document.getElementById('getJSON').addEventListener('click', function() {
    var jsonval=(formData.actions.getData('json'));
    console.log(jsonval);
    var formfield= document.getElementById("formfield").value = "";
    //alert(formfield);
    var fieldval=document.getElementById("formfield").value += jsonval;
    console.log(fieldval);
     var myTextArea = document.getElementById('formfield');
        myTextArea.innerHTML += jsonval;
});
*/

</script>

</script>
@endpush
@endsection